Tomcat cookbook fails


#1

All —

I am trying to using the application_java cookbook to add a web app to my server. The tomcat portion of the recipe fails. Here’s the recipe:

config.omnibus.chef_version = :latest

config.vm.provision :chef_solo do |chef|
chef.json = {
:java => {
:jdk_version => ‘7’,
:install_flavor => ‘oracle’,
:oracle => { “accept_oracle_download_terms” => true }
},
:tomcat => {
:base_version => ‘7’,
:catalina_options => ‘JAVA_OPTS=" -server -Xms768M -Xmx768M -XX:MaxPermSize=256M -Djava.awt.headless=true -Dreusestatement.debug.sql=true -Ddevel -DdebugOn=true -DextendedLoggingOn -Dlog4j.configuratorClass=ksutelc.common.log.TelcConfigurator -DdisableProcessingUnhandledExceptions"’
}
}

chef.run_list = [
    "recipe[ome_creditcard::default]"
]

end
end

The error I get says

The following packages have unmet dependencies:
tomcat6 : Depends: tomcat6-common (>= 6.0.35-1ubuntu3) but it is not going to be installed
STDERR: E: Unable to correct problems, you have held broken packages.

The docs for application_java don’t indicate whether or not I need to have already installed tomcat, so I added a depends tomcat to my metadata.rb file, and added tomcat to the run_list.


chef.run_list = [
“recipe[tomcat]”,
“recipe[ome_creditcard::default]”
]

I get the same error.

What am I missing in this equation?

Thanks,
Mark

mark nichols | (t|a.n) @zanshin | (w) zanshin.net | (gpg key) 53445200